Bug 252333 - Problem registering system:Error Class Code: 70
Problem registering system:Error Class Code: 70
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.4
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Bryan Kearney
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-15 09:41 EDT by Hans Merki
Modified: 2013-01-10 04:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-09 08:23:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Merki 2007-08-15 09:41:23 EDT
+++ This bug was initially created as a clone of Bug #235004 +++

From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR
1.1.4322)

Description of problem:
login as: root
root@172.16.11.24's password:
Last login: Wed Aug 15 14:41:57 2007 from pc0037.bng.local
[root@localhost ~]# up2date --show-channels
[root@localhost ~]# up2date --h
usage: up2date [OPTIONS] [<packages>]

/usr/sbin/up2date: error: ambiguous option: --h (--hardware, --help?)
[root@localhost ~]# up2date --help
usage: up2date [OPTIONS] [<packages>]

options:
  --configure           configure Update Agent options
  -d, --download        download packages only, even if configuration says to
                        install
  -i, --install         install packages, even if configuration says to
                        download only
  --src                 Download src packages as well as binary rpms
  --nosrc               Do not download src packages (overrides config setting
                        if set)
  --dbpath=<dir>        Specify a path where an alternate rpm db is found
  -f, --force           Force package installation, overriding package and file
                        skip list
  --justdb              Only add packages to database, do not install to the
                        filesystem
  -l, --list            list packages available for retrieval
  --dry-run             Do everything but download and install packages (show
                        dependencies  needed, etc)
  -?, --usage           Briefly describe the options
  -k<dir>, --packagedir=<dir>
                        colon separated path of directories to look in for
                        packages
  --nosig               do not use GPG to check package signatures
  --nox                 do not attempt to use X
  -p, --packages        update packages associated with this System Profile on
                        Red Hat Network
  --hardware            up2date hardware profile associated with this System
                        Profile on Red Hat Network
  --register            register the system (or reregister it, if need be)
  --showall             List all packages available for download
  --show-available      List all packages available that are not currently
                        installed
  --show-orphans        List all packages currently installed that are not in
                        channels the system is subscribed to
  --show-groups         List all the install components available to install
  --solvedeps=<deps>    finds, downloads, and installs the packages needed to
                        solve the list of dependencies
  --tmpdir=<temp-dir>   where to store temporary files / RPMs
  --undo                undo the last package set update
  -u, --update          update system with all relevant packages
  --version             show program version information
  -v, --verbose         Show additional output
  --show-channels       Show the channel names along with the package name
                        where approriate
  --list-rollbacks      Show the rpm rollbacks available
  --whatprovides=<deps>
                        Show the packages which solve the comma separated list
                        of dependencies
  --installall          Install all available packages. Used with --channel
  --exclude=<pkg>       List of packages to exlude from being installed or
                        updated
  --channel=<channel>   Specify which channels to use by channel label
  --gpg-flags           Show the flags that gpg will be invoked with (the
                        keyring, etc)
  --nodownload          Do not download packages at all. For testing purposes
  --uuid=<uuid>         Pass in a uuid that the applet generates
  --proxy=<proxyurl>    Specify an http proxy to use
  --proxyUser=<proxy userid>
                        Specify a username to use with an authenticated http
                        proxy
  --proxyPassword=<proxy password>
                        Specify a password to use with an authenticated http
                        proxy
  --serverUrl=<url>     Specify what server url to use
  --show-package-dialog
                        Show the package installation dialog in gui mode
  --get                 Fetch the package specified without resolving
                        dependencies
  --get-source          Fetch the source package for the specified package
                        without resolving dependencies
  --arch=ARCH           Force up2date to install this arch of the package. Not
                        valid with -u, --list, or --dry-run
  --upgrade-to-release=<release-version>
                        Upgrade to the channel specified
  -h, --help            show this help message and exit

When operating in command line mode, specifying package names as
arguments to the program will attempt to retrieve (and possibly
install, based on your configuration) those packages.  Version,
release, and architecture details will be determined by the Update
Agent automatically.
[root@localhost ~]# up2date --hardware
You need to register this system by running `up2date --register` before using
this option
[root@localhost ~]# up2date --register
Red Hat Network Registration (c) 2000-2001 Red Hat, Inc.




              ââââââââââââââââââ⤠Fatal Error âââââââââââââââââââ
              â                                                 â
              â Problem registering system:                     â
              â                                                 â
              â Error Class Code: 70                            â
              â Error Class Info:                               â
              â      All available subscriptions for the        â
              â requested channel have been exhausted.          â
              â      Please contact a Red Hat Network Sales     â
              â associate.                                      â
              â Explanation:                                    â
              â      An error has occurred while processing     â
              â your request. If this problem                   â
              â      persists please enter a bug report at      â
              â bugzilla.redhat.com.                            â
              â      If you choose to submit the bug report,    â
              â please be sure to include                       â
              â      details of what you were trying to do      â
              â when this error occurred and                    â
              â      details on how to reproduce this problem.  â
              â                                                 â
              â                     ââââââ                      â
              â                     â OK â                      â
              â                     ââââââ                      â
              â                                                 â
              â                                                 â
              âââââââââââââââââââââââââââââââââââââââââââââââââââ





  <Tab>/<Alt-Tab> between elements  |  <Space> selects  |  <F12> next screen
Comment 1 James Bowes 2008-05-13 13:31:27 EDT
Hi:

This usually means that you have no free subscriptions. Can you confirm via the
RHN website that you have some remaining subscriptions that match your hardware
and Red Hat Enterprise Linux version?
Comment 2 James Bowes 2008-06-09 08:23:11 EDT
Closing due to inactivity. Please reopen if this is still an issue.

Note You need to log in before you can comment on or make changes to this bug.